#drinkinghell {
    width: 100%;
    min-height: 100vh;
    height: max-content;
    padding-top: 10vh;
}

#drinkinghell .container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    min-height: 100%;
    height: max-content;
    max-width: var(--section-max-width);
    gap: 60px;
    margin: auto;
}

#drinkinghell h1 {
    font-size: 64px;
    font-family: var(--font-poppins);
    font-weight: 300;
    margin-top: 30px;
    line-height: 1;
}

#drinkinghell h1 small {
    font-size: 2.4rem;
    font-weight: 300;
    color: rgba(255, 255, 255, 0.651);
}


#drinkinghell {
    --dh-img-width: 300px; /* 5 : 7 ratio */
    --dh-img-height: 420px; /* 5 : 7 ratio */
    --dh-card-bottom-gap: 20px;
}

/********************* dh-card-container */
#drinkinghell .dh-card-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
}

/********************* dh-card */
#drinkinghell .dh-card {
    position: relative;
    width: var(--dh-img-width);
    height: calc(var(--dh-img-height) + var(--dh-card-bottom-gap));
    border-radius: 40px;
    overflow: hidden;
    background: linear-gradient(135deg, 
        #F0F0F0 0%, 
        #D8D8D8 15%,
        #9DD0D6 30%,
        #77BEDB 50%,
        #8360CB 70%,
        #b0b0b0 85%,
        #B0B0B0 100%);
    padding: 3px;
    transition: background 0.3s ease;
}

#drinkinghell .dh-card img {
    width: var(--dh-img-width);
    height: var(--dh-img-height);
    object-fit: cover;
    display: block;
    border-radius: 37px;
}

#drinkinghell .dh-card h2 {
    width:100%;
    text-align: center;
    font-size: 2.5rem;
    position: absolute;
    bottom: 50px;
}

#drinkinghell .dh-card h3 {
    width:100%;
    text-align: center;
    font-size: 2rem;
    position: absolute;
    bottom: 50px;
}

#drinkinghell .dh-card p {
    width:100%;
    text-align: center;
    letter-spacing: 0.5em;
    position: absolute;
    bottom: 1px;
}

#drinkinghell .dh-card-overlay {
    position: absolute;
    bottom: 20px;
    left: 0;
    right: 0;
    height: 40%;
    margin: 3px;
    border-radius: 0 0 37px 37px;
    backdrop-filter: blur(15px);
    -webkit-mask-image: linear-gradient(to top, 
        rgba(0, 0, 0, 1) 0%, 
        rgba(0, 0, 0, 0.5) 50%,
        rgba(0, 0, 0, 0) 100%);
    mask-image: linear-gradient(to top, 
        rgba(0, 0, 0, 1) 0%, 
        rgba(0, 0, 0, 1) 50%,
        rgba(0, 0, 0, 0) 100%);
    pointer-events: none;
}

#drinkinghell .dh-card-placeholder {
    width: var(--dh-img-width);
    visibility: hidden;
}

@media (max-width: 768px) {
    .dh-card-container {
        width: min-content;
        margin: auto;
    }
}

